Search In-app Templates
The Search In-app Template API can be used to look up the In-app templates created in your MoEngage account.
page: The page number of the results you wish to fetch.entries: The number of templates to return per page, with a maximum value of 15.
Authorizations
The API request is authenticated through Basic Authentication. Follow the steps below to obtain the username and password from the MoEngage Dashboard:
- Navigate to Settings > Account > APIs.
- Copy the following details:
- Username: Under Workspace ID (earlier App ID), click the copy icon to copy the username.
- Password: In the API keys section, click the copy icon in the Campaign report/Business events/Custom templates/Catalog API tile to copy the API key.
Body
Search filters for finding In-app templates. Pagination is mandatory after November 15, 2025.
All fields are optional. Notes:
- If the request body is passed empty, then all templates will be returned.
- Here, the preview_image field will be generated by MoEngage for the HTML template payload.
This field contains the index of the pages to be returned in the search result. Mandatory after Nov 15, 2025.
This field contains the number of entries per page in the search result. Max 15. Mandatory after Nov 15, 2025.
x <= 15This field indicates the name of the template. When this value is specified, the template that matches the name specified in this field will be returned.
This field indicates the template source that created the template. For example: ["API", "MOENGAGE"]. When specified, the templates whose source matches that specified in this list will be returned.
API, MOENGAGE This field indicates whether the template is a custom one or a pre-built one. Allowed values: CUSTOM, PRE_BUILT.
CUSTOM, PRE_BUILT This field indicates the user who created the template. When specified, the templates for which the created_by user information matches that specified in this list will be returned.
This field indicates the user who updated the template. When specified, the templates for which the updated_by user information matches that specified in this list will be returned.
Sort the templates by multiple fields in ASCENDING or DESCENDING order: template_name, last_modified_date, last_modified_by.
Search multiple templates using Pair of external_template_id and version.
Response
The template was searched successfully.
This field contains all the details of the template searched, such as the meta info, template ID, template version, payload, date and time the template was created or updated, and the user attribute of the user who created or updated the template.